% Phi0.m
% This function implements the expression of the fundamental
% mode given by (42) in the EB_damping write up.
%
% Author: Noemi Zakarias
% Date: 11/08/2007

function [ out ] = Phi0( params, y )
    % lamda0, L  are fields in params struct
    lambda0 = params.lambda0;
    L  = params.L;

    out = (cosh(lambda0*L) + cos(lambda0*L))*(sinh(lambda0*y)-sin(lambda0*y))-...
          (sinh(lambda0*L) + sin(lambda0*L))*(cosh(lambda0*y)-cos(lambda0*y));
end