clc; clear all; close all;

%problem's parameters
params.sigma            =  0.05*10^(-3);          % (m)
params.c                =  346;                   % (m/s)
f                       =  32761.10;               % (Hz = 1/s)
params.omega            =  2*pi*f;                 % (1/s) 
params.k                =  params.omega/params.c; % (1/m)
params.scale            =  1.0e+13;

%TF params;
params.Q                =  16064; %Quality factor % dimensionless
params.T                =  0.34*10^-3;            % (m)
params.L                =  3.75*10^-3;             % (m)
params.W                =  0.6*10^-3;             % (m)
params.x0               =  0.15*10^-3; %g/2       % (m)
params.x1               =  0.75*10^-3; %W+g/2     % (m)

% Euler_Bernoulli eq. parameters
T                       =  params.T;              % (m)
W                       =  params.W;              % (m)
params.E                =  7.87*10^10;            % (N/m^2 = Pa)
params.I                =  T*W*W*W/12;            % (m^4)
params.A                =  T*W;                   % (m^2)
params.ro               =  2.65*10^3;             % (kg/m^3) !Calculated density is 2.65*10^3
params.lambda0          =  1.875104068983143/params.L;     % (1/m) I. 1.87510406898314 II.4.694091 %eigenvalue
params.omega0           =  params.omega; %params.lambda0^2*params.W*sqrt(params.E/params.ro)/sqrt(12); %(1/s)
params.gamma0           =  0.5*params.omega0/params.Q; %(1/s)

%program's params
params.rtol_alpha    = 5.0e-5;
params.rtol_beta     = 5.0e-5;
params.int_precision = 1.0e-9;

%compute alpha, beta and store them in params
[params.alpha,Ra]    =  fAlpha(params, 1.0e-5);
[params.beta, Rb]    =   fBeta(params, 1.0e-5);

tx = 0; ty = [0:5*10^-3/31:5*10^-3];

MagM = zeros(1, length(ty));
ReM  = zeros(1, length(ty));
ImM  = zeros(1, length(ty));

%fprintf('\n');
for i = 1: length(ty)
       [ReM(i), ImM(i) ] = M( params, tx, ty(i));
       MagM(i) = sqrt((ReM(i)*ReM(i) + ImM(i)*ImM(i)));
       %fprintf('ty = %7.5f : M = %23.16e + i*%23.16e \n', ty(i), ReM(i), ImM(i));
end

save  'MagMValues_tol10to9_tor450.mat' 'MagM' 'ReM' 'ImM' 'ty'
