% fAlpha.m
% This function returns the limit of Re(c1(r)) given by (28)in the "Wave
% Equation in cylindrical coordinates" dated on July, 17 2007
%
% Author: Noemi Zakarias
% Date: 08/01/2007

function [ alpha, R ] = fAlpha( params, dr)
  tol = params.rtol_alpha;
  alphaold = -fRec1(params, dr);
  
  if length(dr)>1
      error('fAlpha can not work on vectors.');
  end
  
  for R = 2*dr:dr:inf
    alpha = -fRec1(params, R);
    %fprintf('%9.3e %10.8f\n', alpha, (alpha-alphaold)/alphaold);
    if abs((alpha-alphaold)/alphaold)< tol 
      break;
    end
    alphaold = alpha;
  end
end
  