% fBeta.m
% This function returns the limit of Im(c1(r)) given by (28)in the "Wave
% Equation in cylindrical coordinates" dated on July, 17 2007
%
% Author: Noemi Zakarias
% Date: 08/01/2007
function [ beta, R ] = fBeta( params, dr)
  tol = params.rtol_beta;
  betaold = - fImc1(params, dr);
  
  for R = 2*dr:dr:inf
    beta = -fImc1(params, R);
    %fprintf('%9.3e %10.7f\n', beta, (beta-betaold)/betaold);
    if abs((beta-betaold)/betaold)< tol 
      break;
    end
    betaold=beta;
  end
end